Page MenuHomePhabricator

move racktables to a VM
Closed, ResolvedPublic

Description

move racktables from physical server magnesium to a ganeti VM

while at it , update the racktables version.

afterwards also move RT off of magnesium (separate ticket)

then reclaim magnesium to save energy :) #greenit

Event Timeline

Dzahn raised the priority of this task from to Needs Triage.
Dzahn updated the task description. (Show Details)
Dzahn added a project: acl*sre-team.
Dzahn added a subscriber: Dzahn.
Dzahn triaged this task as Medium priority.Jul 10 2015, 9:30 PM
Dzahn lowered the priority of this task from Medium to Low.Aug 31 2015, 10:44 PM

Change 250047 had a related patch set uploaded (by Dzahn):
RT: move role to krypton

https://gerrit.wikimedia.org/r/250047

Change 250050 had a related patch set uploaded (by Dzahn):
racktables: move role to krypton

https://gerrit.wikimedia.org/r/250050

Change 250050 merged by Dzahn:
racktables: add role to krypton

https://gerrit.wikimedia.org/r/250050

Change 254037 had a related patch set uploaded (by Dzahn):
racktables: puppetize /srv/org/.. directory tree

https://gerrit.wikimedia.org/r/254037

Change 254037 merged by Dzahn:
racktables: puppetize /srv/org/.. directory tree

https://gerrit.wikimedia.org/r/254037

Dzahn renamed this task from move racktables and RT to a VM to move racktables to a VM.Nov 19 2015, 8:14 PM
Dzahn set Security to None.
Dzahn updated the task description. (Show Details)
Dzahn updated the task description. (Show Details)

Change 254194 had a related patch set uploaded (by Dzahn):
racktables: switch to new backend and version

https://gerrit.wikimedia.org/r/254194

Change 254194 merged by Dzahn:
racktables: switch to new backend and version

https://gerrit.wikimedia.org/r/254194

For some reason the upgrade to 0.20.10 did not work, just up to 0.20.6. maybe related to the new mysql privs mentioned in the change log of 0.20.7 but jcrespo had these added too and it still wouldn't work.

anyways. the main point was to move it off of magnesium and upgrading was just a side effect, so we are at least 2 minor versions higher than before now, we were on 0.20.4.

racktables now lives on krypton, a ganeti VM.

removed files on magnesium. a tarball and the old Apache config are in /root just in case.

Change 254353 had a related patch set uploaded (by Dzahn):
racktables: adjust Apache config to 2.4

https://gerrit.wikimedia.org/r/254353

Change 254353 merged by Dzahn:
racktables: adjust Apache config to 2.4

https://gerrit.wikimedia.org/r/254353

Change 254588 had a related patch set uploaded (by Dzahn):
racktables: remove role from magnesium

https://gerrit.wikimedia.org/r/254588

Change 254588 merged by Dzahn:
racktables: remove role from magnesium

https://gerrit.wikimedia.org/r/254588